Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator
Interface ActionValidatorManager

All Known Implementing Classes:
  AnnotationActionValidatorManager, DefaultActionValidatorManager

    public interface ActionValidatorManager

`ActionValidatorManager`

Version:
  $Id: ActionValidatorManager.java 1063 2006-07-10 00:30:29Z mrdon $
Author:
  Rainer Hermanns

Method Summary
`List` | `getValidators(Class clazz, String context)` Returns a list of validators for the given class and context.
`void` | `validate(Object object, String context)` Validates the given object using action and its context.
`void` | `validate(Object object, String context, ValidatorContext validatorContext)` Validates an action give its context and a validation context.

Method Detail

### getValidators

    List getValidators(Class clazz,
                       String context)

  Returns a list of validators for the given class and context. This is the primary lookup method for validators.

  Parameters:
    `clazz` - the class to lookup.
    `context` - the context of the action class - can be `null`.
  Returns:
    a list of all validators for the given class and context.

### validate

    void validate(Object object,
                  String context)
                  throws ValidationException

  Validates the given object using action and its context.

  Parameters:
    `object` - the action to validate.
    `context` - the action's context.
  Throws:
    `ValidationException` - if an error happens when validating the action.

### validate

    void validate(Object object,
                  String context,
                  ValidatorContext validatorContext)
                  throws ValidationException

  Validates an action give its context and a validation context.

  Parameters:
    `object` - the action to validate.
    `context` - the action's context.
    `validatorContext` -
  Throws:
    `ValidationException` - if an error happens when validating the action.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.